Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class SquareRootOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.GreyMapOp
                  |
                  +--com.pearsoneduc.ip.op.SquareRootOp

public class SquareRootOp
extends GreyMapOp

Performs logarithmic mapping of grey levels in a BufferedImage.

Version:
  1.2 [1999/07/08]
Author:
  Nick Efford

Fields inherited from class com.pearsoneduc.ip.op.GreyMapOp
`table`

Constructor Summary
`SquareRootOp()` Constructs a SquareRootOp that will map 0 to 0 and 255 to 255.
`SquareRootOp(int low, int high)` Constructs a SquareRootOp that will map the specified limits onto 0 and 255.

Method Summary
`void` | `computeMapping(int low, int high)` Computes a mapping that maps the specified limits onto 0 and 255.

Methods inherited from class com.pearsoneduc.ip.op.GreyMapOp
`computeMapping, filter, getTableEntry, setTableEntry`

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`checkImage, createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareRootOp

    public SquareRootOp()

  Constructs a SquareRootOp that will map 0 to 0 and 255 to 255.

### SquareRootOp

    public SquareRootOp(int low,
                        int high)

  Constructs a SquareRootOp that will map the specified limits onto 0 and 255.
  Parameters:
    `low` - lower limit, mapping to 0
    `high` - upper limit, mapping to 255

Method Detail

### computeMapping

    public void computeMapping(int low,
                               int high)

  Computes a mapping that maps the specified limits onto 0 and 255.
  Parameters:
    `low` - lower limit, mapping onto 0
    `high` - upper limit, mapping onto 255
  Overrides:
    computeMapping in class GreyMapOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD